package Globus::Core::Paths;

require Exporter;

@ISA = qw(Exporter);

@EXPORT = qw($exec_prefix $prefix
             $sbindir $bindir
             $libexecdir $includedir
             $datarootdir
             $mandir
             $datadir $sysconfdir $sharedstatedir
             $localstatedir $perlmoduledir);

sub eval_path
{
    my $path = shift;
    my $last = $path;

    while ($path =~ m/\$\{([^}]*)\}/)
    {
        my $varname = $1;
        my $evaluated;
        eval "\$evaluated = \${$1}";

        $path =~ s/\$\{$varname\}/$evaluated/g;
        if ($path eq $last)
        {
            die "Error evaluating $last\n";
        }
        $last = $path;
    }
    return $path;
}

if (exists $ENV{GLOBUS_LOCATION})
{
    $prefix = $ENV{GLOBUS_LOCATION};
}
else
{
    $prefix = "/usr";
}
$exec_prefix = "${prefix}";
$sbindir = "${exec_prefix}/sbin";
$bindir = "${exec_prefix}/bin";
$includedir = "/usr/include/globus";
$datarootdir = "${prefix}/share";
$datadir = "/usr/share/globus";
$mandir = "${prefix}/share/man";
$libexecdir = "/usr/share/globus";
$sysconfdir = "/etc";
$sharedstatedir = "/var";
$localstatedir = "/var";
$perlmoduledir = "/usr/share/perl5";

1;
